td.details-control {
  background: url('https://www.datatables.net/examples/resources/details_open.png') no-repeat center center;
  cursor: pointer;
}
tr.shown td.details-control {
  background: url('https://www.datatables.net/examples/resources/details_close.png') no-repeat center center;
}




/* Styl pola wyboru (input) */
.ts-control {
  background-color: transparent !important;
  color: white !important;
  border: 1px solid #ccc;
}

/* Styl tekstu wpisywanego */
.ts-control input {
  background-color: transparent !important;
  color: white !important;
}

/* Styl dropdowna (lista rozwijana) */
.ts-dropdown {
  background-color: rgba(0, 0, 0, 0.6) !important; /* przezroczyste tło */
  color: white !important;
  border: 1px solid #ccc;
}

/* Styl pojedynczych opcji */
.ts-dropdown .ts-dropdown-content .option {
  color: white !important;
  background-color: transparent !important;
}

/* Styl aktywnej/podświetlonej opcji */
.ts-dropdown .ts-dropdown-content .option.active,
.ts-dropdown .ts-dropdown-content .option.highlight {
  background-color: rgba(255, 255, 255, 0.2) !important;
  color: white !important;
}
/* Nadpisanie koloru tekstu w całym TomSelect dropdown */
.ts-control,
.ts-dropdown,
.ts-dropdown-content .option {
  color: white !important;
  background-color: transparent !important;
}

/* Podświetlona opcja */
.ts-dropdown-content .option.active,
.ts-dropdown-content .option.highlight {
  background-color: rgba(255, 255, 255, 0.2) !important;
  color: white !important;
}
/* Domyślnie zielona */
td.details-control i {
  color: green;
}

/* Po rozwinięciu — kolor czerwony */
tr.shown td.details-control i {
  color: red;
 
}
td.details-control i::before {
  content: none !important;
}
table.dataTable td {
  white-space: normal !important;
  word-break: break-word;
}

#hide_repair_page {
  display: none;
}
#hide_panel_link {
  display: none;
}
.alert {
    position: fixed;
    top: 20px;
    left: 50%;
    transform: translateX(-50%);
    background-color: #f44336;
    color: white;
    padding: 12px 24px;
    border-radius: 5px;
    box-shadow: 0 2px 10px rgba(0,0,0,0.2);
    z-index: 1000;
    font-family: sans-serif;
}

.custom-toast {
    position: fixed;
    top: -60px;
    left: 50%;
    transform: translateX(-50%);
    background-color: #f44336;
    color: #fff;
    padding: 12px 24px;
    border-radius: 8px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.2);
    font-family: sans-serif;
    font-size: 16px;
    opacity: 0;
    transition: all 0.3s ease;
    z-index: 9999;
}

.custom-toast.success {
    background-color: #4caf50;
}

.custom-toast.show {
    top: 30px;
    opacity: 1;
}




